%YAML 1.1
---
driver_options:
  atmosphere_dag_verbosity_level: 5

time_stepping:
  time_step: 300
  number_of_steps: 1
  run_t0: ${RUN_T0}  # YYYY-MM-DD-XXXXX
  case_t0: ${CASE_T0}  # YYYY-MM-DD-XXXXX

initial_conditions:
  Filename: ${SCREAM_DATA_DIR}/init/${EAMxx_tests_IC_FILE_72lev}
  topography_filename: ${TOPO_DATA_DIR}/USGS-gtopo30_ne4np4pg2_16x_converted.c20200527.nc
  Restart Run: false
  surf_evap: 0.0
  surf_sens_flux: 0.0
  precip_liq_surf_mass: 0.0
  precip_ice_surf_mass: 0.0
  aero_g_sw: 0.0
  aero_ssa_sw: 0.0
  aero_tau_sw: 0.0
  aero_tau_lw: 0.0

atmosphere_processes:
  atm_procs_list: (homme,physics)
  schedule_type: Sequential
  homme:
    Moisture: moist
  physics:
    atm_procs_list: (mac_aero_mic,rrtmgp)
    Type: Group
    schedule_type: Sequential
    mac_aero_mic:
      atm_procs_list: (shoc,CldFraction,p3)
      Type: Group
      schedule_type: Sequential
      number_of_subcycles: ${MAC_MIC_SUBCYCLES}
      p3:
        do_prescribed_ccn: false
    rrtmgp:
      active_gases: ["h2o", "co2", "o3", "n2o", "co" , "ch4", "o2", "n2"]
      do_aerosol_rad: false
      rrtmgp_coefficients_file_sw: ${SCREAM_DATA_DIR}/init/rrtmgp-data-sw-g112-210809.nc
      rrtmgp_coefficients_file_lw: ${SCREAM_DATA_DIR}/init/rrtmgp-data-lw-g128-210809.nc
      rrtmgp_cloud_optics_file_sw: ${SCREAM_DATA_DIR}/init/rrtmgp-cloud-optics-coeffs-sw.nc
      rrtmgp_cloud_optics_file_lw: ${SCREAM_DATA_DIR}/init/rrtmgp-cloud-optics-coeffs-lw.nc

grids_manager:
  Type: Homme
  physics_grid_type: GLL
  dynamics_namelist_file_name: namelist.nl
  vertical_coordinate_filename: IC_FILE

# List all the yaml files with the output parameters
Scorpio:
  model_restart:
    filename_prefix: model_restart
    output_control:
      Frequency:       1
      frequency_units: nsteps
  output_yaml_files: ["model_restart_output.yaml"]
...
